﻿Imports DotNetNuke
Imports DotNetNuke.Common
Imports DotNetNuke.Entities.Modules
Imports VCLinks

Namespace VinoCellar.Modules.VCLinks
    Partial Class ucAdminLinks
        Inherits Entities.Modules.PortalModuleBase
        Dim boolAddAnother As Boolean = False

        Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            If Not Page.IsPostBack Then
                If (Request("LinkID") = "") Then
                    Me.FormView1.ChangeMode(FormViewMode.Insert)
                Else
                    If (Request("LinkID") = "0") Then
                        Me.FormView1.ChangeMode(FormViewMode.Insert)
                    Else
                        Me.FormView1.ChangeMode(FormViewMode.Edit)
                    End If
                End If

                CheckPermissions()
            End If

        End Sub

        Private Sub CheckPermissions()
            'If UserID = -1 then user is anonymous and not logged in
            If Me.UserId = -1 Then
                lnkPermission.Visible = "true"
                Me.FormView1.Visible = False
            End If
        End Sub

        Protected Sub bReturn_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles lnkPermission.Click
            Response.Redirect(NavigateURL(), True)
        End Sub

        Protected Sub LinqDataSource1_Inserting(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.LinqDataSourceInsertEventArgs) Handles LinqDataSource1.Inserting
            Dim objVCLink As VCLink = DirectCast(e.NewObject, VCLink)
            objVCLink.SubmittedBy = Entities.Users.UserController.GetCurrentUserInfo().UserID
            objVCLink.SubmittedDate = DateTime.Now
        End Sub

        Protected Sub FormView1_ItemInserted(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.FormViewInsertedEventArgs) Handles FormView1.ItemInserted
            If e.Exception Is Nothing Then
                If boolAddAnother Then
                    Response.Redirect(Globals.NavigateURL(PortalSettings.ActiveTab.TabID, Null.NullString, "LinkID=0"))
                Else
                    Response.Redirect(NavigateURL(), True)
                End If
            Else
                lblError.Text = e.Exception.Message
                e.ExceptionHandled = True
                e.KeepInInsertMode = True
            End If
        End Sub

        Protected Sub FormView1_ItemInserting(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.FormViewInsertEventArgs) Handles FormView1.ItemInserting
            If e.CommandArgument = "AddAnother" Then
                boolAddAnother = True
            End If
        End Sub

        Protected Sub FormView1_ItemDeleted(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.FormViewDeletedEventArgs) Handles FormView1.ItemDeleted
            Response.Redirect(NavigateURL(), True)
        End Sub

        Protected Sub FormView1_ItemUpdated(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.FormViewUpdatedEventArgs) Handles FormView1.ItemUpdated
            If e.Exception Is Nothing Then
                Response.Redirect(NavigateURL(), True)
            Else
                lblError.Text = e.Exception.Message
                e.ExceptionHandled = True
                e.KeepInEditMode = True
            End If
        End Sub
    End Class
End Namespace
